## ros-indigo-control-msgs 1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(control_msgs)

find_package(catkin REQUIRED actionlib_msgs geometry_msgs message_generation std_msgs trajectory_msgs)

add_action_files(DIRECTORY action FILES
  FollowJointTrajectory.action
  GripperCommand.action
  JointTrajectory.action
  PointHead.action
  SingleJointPosition.action)

add_message_files(DIRECTORY msg FILES
  GripperCommand.msg
  JointControllerState.msg
  JointTolerance.msg
  JointTrajectoryControllerState.msg)

add_service_files(DIRECTORY srv FILES
  QueryCalibrationState.srv
  QueryTrajectoryState.srv)

generate_messages(DEPENDENCIES actionlib_msgs geometry_msgs std_msgs trajectory_msgs)

catkin_package(CATKIN_DEPENDS actionlib_msgs geometry_msgs message_runtime std_msgs trajectory_msgs)

=== debian/changelog ===
ros-indigo-control-msgs (1.3.1-0trusty) trusty; urgency=high

  * Export architecture_independent flag in package.xml
  * Change package maintainer.
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Scott K Logan

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 04 Mar 2015 23:00:00 -0000

ros-indigo-control-msgs (1.3.0-0trusty) trusty; urgency=high

  * Add error_string to action result.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Willow Garage <control_msgs@willowgarage.com>  Wed, 26 Feb 2014 23:00:00 -0000

ros-indigo-control-msgs (1.2.0-0trusty) trusty; urgency=high



 -- Willow Garage <control_msgs@willowgarage.com>  Wed, 24 Apr 2013 22:00:00 -0000

ros-indigo-control-msgs (1.1.6-0trusty) trusty; urgency=high

  * adds missing feedback field to PointHeadAction
  * Contributors: Adam Leeper

 -- Willow Garage <control_msgs@willowgarage.com>  Sun, 10 Feb 2013 23:00:00 -0000

ros-indigo-control-msgs (1.1.5-0trusty) trusty; urgency=high

  * changes PointHeadAction.action to PointHead.action
  * Contributors: Adam Leeper

 -- Willow Garage <control_msgs@willowgarage.com>  Tue, 22 Jan 2013 23:00:00 -0000

ros-indigo-control-msgs (1.1.4-0trusty) trusty; urgency=high

  * this now contains all messages, services and actions that used to be in ros_controllers and/or pr2_controllers_msgs
  * copy JointControllerState and JointTrajectoryControllerState  from pr2_controllers_msgs
  * copy GripperCommand from pr2_controllers_msgs
  * modified dep type of catkin
  * Contributors: Dirk Thomas, Ioan Sucan

 -- Willow Garage <control_msgs@willowgarage.com>  Mon, 21 Jan 2013 23:00:00 -0000

ros-indigo-control-msgs (1.1.3-0trusty) trusty; urgency=high

  * fix dep
  * add missing downstream depend
  * switched from langs to message_* packages
  * Contributors: Dirk Thomas

 -- Willow Garage <control_msgs@willowgarage.com>  Wed, 12 Dec 2012 23:00:00 -0000

ros-indigo-control-msgs (1.1.2-0trusty) trusty; urgency=high



 -- Willow Garage <control_msgs@willowgarage.com>  Sun, 02 Dec 2012 23:00:00 -0000

ros-indigo-control-msgs (1.1.1-0trusty) trusty; urgency=high

  * added metapackage for backward compatibility
  * Contributors: Ioan Sucan

 -- Willow Garage <control_msgs@willowgarage.com>  Mon, 19 Nov 2012 14:52:00 -0000

ros-indigo-control-msgs (1.1.0-0trusty) trusty; urgency=high

  * port to catkin
  * add bogus dependency on rospy, to get ros_comm
  * Added documentation for the FollowJointTrajectory action and the JointTolerance message.
  * Added PointHeadAction to control_msgs
  * First cut at a FollowJointTrajectory action
  * Contributors: Brian Gerkey, Ioan Sucan, Stuart Glaser

 -- Willow Garage <control_msgs@willowgarage.com>  Mon, 19 Nov 2012 13:54:00 -0000

=== debian/control ===
Source: ros-indigo-control-msgs
Section: misc
Priority: extra
Maintainer: Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-std-msgs, ros-indigo-trajectory-msgs
Homepage: http://ros.org/wiki/control_msgs
Standards-Version: 3.9.2

Package: ros-indigo-control-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib-msgs, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-std-msgs, ros-indigo-trajectory-msgs
Description: control_msgs contains base messages and actions useful for controlling robots. It provides representations for controller setpoints and joint and cartesian trajectories.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-control-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
